package com.hammingweight.hammockexamples.example4;

import java.io.IOException;


public class GetName2 {

	private ConnectionFactory connFactory;
	
	public GetName2(ConnectionFactory connFactory) {
		this.connFactory = connFactory;
	}
	
	public String getNameForId(int id) throws IOException {
		try {
			this.connFactory.openConnections("getname.inm");
			this.connFactory.getOutputConnection().writeInt(id);
			return this.connFactory.getInputConnection().readUTF();
		} finally {
			this.connFactory.closeConnections();
		}
	}
}
